/**
 * @file hv_vos_Assert.c
 * @brief 
 * @details 
 * @author HiView SoC Software Team
 * @version 0.0.1
 * @date 20230301
 * @copyright Copyright(c),2023-3, Hiview Software. All rights reserved.
 * @par History: 
 * <table>
 * <tr><th>author                     <th>date           <th>description
 * <tr><td>HiView SoC Software Team   <td>20230301       <td>Create and first Version.
 * </table>
**/

#include "hv_vos_Assert.h"
#include "hv_vos_Log.h"
#include "hv_vos_Macro.h"

void Hv_Vos_Assert_Report(const char *condition, int line,
                          const char *function, const char *message)
{
    HV_LOGF("assert failed(%s) at line:%d, function:%s\n",
            condition,
            line,
            function);
    if (message)
    {
        HV_LOGF("assert message:%s\n", message);
    }
    while (1);
}

